// Type definitions for ag-grid-row-unselectable v10.0.1
// Project: https://github.com/tomli/ag-grid-row-unselectable
// Definitions by: Niall Crosby <https://github.com/ceolter/>
import { Component } from "../../widgets/component";
import { ICellEditorComp, ICellEditorParams } from "./iCellEditor";
import { GridOptionsWrapper } from "../../gridOptionsWrapper";
export declare class PopupEditorWrapper extends Component implements ICellEditorComp {
    private cellEditor;
    private params;
    private getGuiCalledOnChild;
    static DOM_KEY_POPUP_EDITOR_WRAPPER: string;
    gridOptionsWrapper: GridOptionsWrapper;
    constructor(cellEditor: ICellEditorComp);
    private onKeyDown(event);
    getGui(): HTMLElement;
    init(params: ICellEditorParams): void;
    afterGuiAttached(): void;
    getValue(): any;
    isPopup(): boolean;
    isCancelBeforeStart(): boolean;
    isCancelAfterEnd(): boolean;
    focusIn(): void;
    focusOut(): void;
}
